------------------------------------------------------------------------------------
--Name：     210207[简体征服][活动脚本]全球愚人节活动-剧情引导
--Creator:      傅伟龙
--Created:     2021-02-07
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>170


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(296,131);

------------------------------------------------------------


local effectObj1 = CppScriptMgr:AddEffect( "cyclonehandcycle", 296, 136);
CppScriptMgr:WaitMilSec(100);
local effectObj3 = CppScriptMgr:AddEffect( "cyclonehandcycle", 307, 125);
CppScriptMgr:WaitMilSec(100);
local effectObj4 = CppScriptMgr:AddEffect( "cyclonehandcycle", 307, 136);
CppScriptMgr:WaitMilSec(100);
local effectObj5 = CppScriptMgr:AddEffect( "cyclonehandcycle", 296, 125);
CppScriptMgr:WaitMilSec(100);
local effectObj2 = CppScriptMgr:AddEffect( "cyclonehandcycle", 296, 131);
CppScriptMgr:WaitMilSec(100);
local effectObj7 = CppScriptMgr:AddEffect( "cyclonehandcycle", 307, 131);
CppScriptMgr:WaitMilSec(100);
local effectObj8 = CppScriptMgr:AddEffect( "cyclonehandcycle", 301, 125);
CppScriptMgr:WaitMilSec(100);
local effectObj9 = CppScriptMgr:AddEffect( "cyclonehandcycle", 301, 136);
CppScriptMgr:WaitMilSec(100);
local effectObj6 = CppScriptMgr:AddEffect( "cyclonehandcycle", 301, 131);
CppScriptMgr:WaitMilSec(1000);
local General1 = CppScriptMgr:AddPlayer(144,296,131, "PanguAxe",4003000002,1) ;
General1:SetZoomPercent(130)
General1:SetDir(7);
General1:SetAction(200);
General1:Say("Without me, light will never pour into the night night!", 3000);
CppScriptMgr:WaitMilSec(2000);

local effectObj1 = CppScriptMgr:AddEffect( "fathitgtsyd", 302, 137);
CppScriptMgr:WaitMilSec(2000);
CppScriptMgr:NpcCallOut("    Three, two, one! Follow me home!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc10086", 150, 430, "PanguAxe", 250, 655)

CppScriptMgr:WaitMilSec(2000);